Bug 1365939 - [GSS](6.4.z) Required 'name' attribute not present in the XML Schema for valve
Summary: [GSS](6.4.z) Required 'name' attribute not present in the XML Schema for valve
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: jbossas
Version: 6.4.0
Hardware: All
OS: All
low
low
Target Milestone: CR1
: EAP 6.4.15
Assignee: Peter Palaga
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: eap6415-payload
TreeView+ depends on / blocked
 
Reported: 2016-08-10 14:37 UTC by Paramvir jindal
Modified: 2021-03-11 14:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-19 08:09:07 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-6140 0 Major Verified [GSS](7.1.0) 'name' attribute missing in XSD while required by web subsystem parser 2018-04-19 11:52:11 UTC
Red Hat Issue Tracker JBEAP-6145 0 Critical Verified [GSS](7.0.z) 'name' attribute missing in XSD while required by web subsystem parser 2018-04-19 11:52:11 UTC
Red Hat Issue Tracker WFLY-7192 0 Major Closed 'name' attribute missing in XSD while required by web subsystem parser 2018-04-19 11:52:11 UTC
Red Hat Knowledge Base (Solution) 88923 0 None None None 2016-10-11 07:53:16 UTC
Red Hat Knowledge Base (Solution) 379813 0 None None None 2016-10-11 07:53:57 UTC

Description Paramvir jindal 2016-08-10 14:37:05 UTC
Description of problem:

While configuring the global valve using the following article :
https://access.redhat.com/solutions/379813
It is mandatory that the "name" attribute of valve must match the "auth-method" that is specified in the "WEB-INF/web.xml".

So "name" attribute is mandatory to configure this valve.

but it is not mentioned in the schema of valve as shown below :

<xs:element name="valve">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="param" minOccurs="0" maxOccurs="unbounded" type="paramType" />
            </xs:sequence>
            <xs:attribute name="class-name" type="xs:string" use="required" />
            <xs:attribute name="module" type="xs:string" use="required" />
            <xs:attribute name="enabled" default="true" type="xs:boolean" />
        </xs:complexType>
</xs:element>


Version-Release number of selected component (if applicable):


How reproducible:

All the time

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 JBoss JIRA Server 2016-09-23 14:23:16 UTC
Kabir Khan <kabir.khan> updated the status of jira WFLY-7192 to Resolved

Comment 5 Michael Cada 2017-04-12 10:51:09 UTC
Verified with EAP 6.4.15.CP.CR2

Comment 6 Petr Penicka 2017-05-19 08:09:07 UTC
Released on May 18 as part of EAP 6.4.15.


Note You need to log in before you can comment on or make changes to this bug.